{ outputs, config, pkgs, ... }: {
  imports = [
    ./accounts
    ./modules/networking
    ./modules/overlays
    ./programs/git
    ./services/garbage-collection
  ];

  nix = {
    settings = {
      experimental-features = "nix-command flakes";
      auto-optimise-store = true;
    };
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 1w";
    };
  };

  time.timeZone = outputs.secrets.timeZone;

  programs = {
    zsh.enable = true;
    nano.enable = false;
  };

  documentation = {
    nixos.enable = false;
    info.enable = false;
  };

  hardware.enableRedistributableFirmware = true;
}
